#!/usr/bin/env bash

echo "Initial nslookup ${HOSTNAME}.${APPNET}"
nslookup ${HOSTNAME}.${APPNET}
while [ $? -ne 0 ]; do
  echo "Waiting for ${HOSTNAME}.${APPNET} to become available"
  sleep 1
  nslookup ${HOSTNAME}.${APPNET}
done

echo "Initial nslookup tasks.${ADMIN_HOST}.${APPNET}"
nslookup tasks.${ADMIN_HOST}.${APPNET}
while [ $? -ne 0 ]; do
  echo "Waiting for tasks.${ADMIN_HOST}.${APPNET} to become available"
  sleep 1
  nslookup tasks.${ADMIN_HOST}.${APPNET}
done

# Для добавления логирования manager memcached. Redmine 107228
#sed -i "s/CATALINA_OPTS=\"\$CATALINA_OPTS \$JPDA_OPTS\"/CATALINA_OPTS=\"\$CATALINA_OPTS \$JPDA_OPTS -Dnet.spy.log.LoggerImpl=net.spy.memcached.compat.log.SunLogger\"/" /opt/tomcat/bin/catalina.sh
sed -i "s/DB_CLUSTER/\"${DB_CLUSTER}\"/" /etc/web-laboratory/application.conf
sed -i "s/ADMIN_HOST/$(dig tasks.${ADMIN_HOST}.${APPNET} +short)/" /etc/web-laboratory/application.conf
sed -i "s/NODE_HOST/$(dig ${HOSTNAME}.${APPNET} +short)/" /etc/web-laboratory/application.conf

# Добавлено логирование для manager memcached. Redmine 107228
echo "de.javakaffee.web.msm.level = ${DEBUG}\nnet.spy.memcached.level = ${DEBUG}" >> /opt/tomcat/conf/logging.properties

source /etc/init.d/web-laboratory status

exec "$@"
